using System.Text.Json.Serialization;

namespace RobotNet.WebApp.Charts.Models.Common.Dataset;

public class ChartData
{
    [JsonIgnore(Condition = JsonIgnoreCondition.WhenWritingNull)]
    public List<IChartDataset>? Datasets { get; set; }

    [JsonIgnore(Condition = JsonIgnoreCondition.WhenWritingNull)]
    public List<string>? Labels { get; set; }
}
